Drop GPL from of_node_to_nid() export to match other arches

Bug #1709179 reported by bugproxy on 2017-08-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
High
Joseph Salisbury
Zesty
High
Joseph Salisbury

Bug Description

== SRU Justification ==
The commit requested in this bug exposes functionality needed by the Nvidia device driver on POWER9.

This patch is a clean cherry pick and specific to powerpc.

This commit is in mainline as of 4.11-rc1.

== Comment: #0 - Reza A. Arbab <email address hidden> - 2017-08-07 15:34:04 ==
We need to backport mainline commit be9ba9ff93cc ("Drop GPL from of_node_to_nid() export to match other arches") to the Ubuntu 4.10 kernel.

This exposes functionality needed by the Nvidia device driver on POWER9.

CVE References

bugproxy (bugproxy) on 2017-08-07
tags: added: architecture-ppc64le bugnameltc-157364 severity-high targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)

------- Comment From <email address hidden> 2017-08-23 13:03 EDT-------
Ping! Could someone have a look at this?

Andrew Cloke (andrew-cloke) wrote :

Apologies for the delay. This bug somehow missed our initial handling process. I've now assigned to the kernel team.

Changed in ubuntu-power-systems:
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Manoj Iyer (manjo) on 2017-08-23
Changed in linux (Ubuntu):
importance: Undecided → High
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Kernel Team (canonical-kernel-team)
tags: added: triage-a
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Joseph Salisbury (jsalisbury)
status: New → In Progress
Changed in linux (Ubuntu Zesty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I built a Zesty test kernel with a pick of commit be9ba9ff93cc. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1709179

Can you test this kernel and see if it resolves this bug?

Thanks in advance!

Manoj Iyer (manjo) on 2017-08-25
Changed in ubuntu-power-systems:
status: New → In Progress
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-08-28 11:27 EDT-------
> I built a Zesty test kernel with a pick of commit be9ba9ff93cc. The test
> kernel can be downloaded from:
>
> http://kernel.ubuntu.com/~jsalisbury/lp1709179
>
> Can you test this kernel and see if it resolves this bug?

Seems to work! Thank you.

description: updated
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-06 18:45 EDT-------
Hi Canonical, any news on this bug? This is special for us, because of some out-of-the-three modules we need to use internally.

Joseph Salisbury (jsalisbury) wrote :

An SRU request was submitted for this bug, and the fix should be included in the next set up updates:

https://lists.ubuntu.com/archives/kernel-team/2017-September/086796.html

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-07 04:19 EDT-------
Hi,

I understand that people also need this patch for 16.04.3's 4.10 kernel, that is, in the linux-hwe kernel.
Joseph, will that fix in Zesty's kernel be automatically propagated to Xenial's linux-hwe or do we
need any other action for this ?
Thanks!

F.

Seth Forshee (sforshee) wrote :

Marking the development task fix released as this patch was merged in 4.11, and artful is already using 4.12.

Patches to the zesty kernel are automatically propagated into the hwe kernel.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Manoj Iyer (manjo) on 2017-09-07
tags: added: triage-g
removed: triage-a
Stefan Bader (smb) on 2017-09-15
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed
Manoj Iyer (manjo) on 2017-09-18
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-25 21:12 EDT-------
(In reply to comment #13)
> This bug is awaiting verification that the kernel in -proposed solves the
> problem. Please test the kernel and update this bug with the results. If the
> problem is solved, change the tag 'verification-needed-zesty' to
> 'verification-done-zesty'. If the problem still exists, change the tag
> 'verification-needed-zesty' to 'verification-failed-zesty'.

I verified that linux-image-4.10.0-36-generic/zesty-proposed has this fix.

tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.10.0-37.41

---------------
linux (4.10.0-37.41) zesty; urgency=low

  * CVE-2017-1000255
    - SAUCE: powerpc/64s: Use emergency stack for kernel TM Bad Thing program
      checks
    - SAUCE: powerpc/tm: Fix illegal TM state in signal handler

linux (4.10.0-36.40) zesty; urgency=low

  * linux: 4.10.0-36.40 -proposed tracker (LP: #1718143)

  * Neighbour confirmation broken, breaks ARP cache aging (LP: #1715812)
    - sock: add sk_dst_pending_confirm flag
    - net: add dst_pending_confirm flag to skbuff
    - sctp: add dst_pending_confirm flag
    - tcp: replace dst_confirm with sk_dst_confirm
    - net: add confirm_neigh method to dst_ops
    - net: use dst_confirm_neigh for UDP, RAW, ICMP, L2TP
    - net: pending_confirm is not used anymore

  * SRIOV: warning if unload VFs (LP: #1715073)
    - PCI: Lock each enable/disable num_vfs operation in sysfs
    - PCI: Disable VF decoding before pcibios_sriov_disable() updates resources

  * Kernel has troule recognizing Corsair Strafe RGB keyboard (LP: #1678477)
    - usb: quirks: add delay init quirk for Corsair Strafe RGB keyboard

  * CVE-2017-14106
    - tcp: initialize rcv_mss to TCP_MIN_MSS instead of 0

  * [CIFS] Fix maximum SMB2 header size (LP: #1713884)
    - CIFS: Fix maximum SMB2 header size

  * Middle button of trackpoint doesn't work (LP: #1715271)
    - Input: trackpoint - assume 3 buttons when buttons detection fails

  * Drop GPL from of_node_to_nid() export to match other arches (LP: #1709179)
    - powerpc: Drop GPL from of_node_to_nid() export to match other arches

  * vhost guest network randomly drops under stress (kvm) (LP: #1711251)
    - Revert "vhost: cache used event for better performance"

  * arm64 arch_timer fixes (LP: #1713821)
    - Revert "UBUNTU: SAUCE: arm64: arch_timer: Enable CNTVCT_EL0 trap if
      workaround is enabled"
    - arm64: arch_timer: Enable CNTVCT_EL0 trap if workaround is enabled
    - clocksource/arm_arch_timer: Fix arch_timer_mem_find_best_frame()
    - clocksource/drivers/arm_arch_timer: Fix read and iounmap of incorrect
      variable
    - clocksource/drivers/arm_arch_timer: Fix mem frame loop initialization
    - clocksource/drivers/arm_arch_timer: Avoid infinite recursion when ftrace is
      enabled

  * Touchpad not detected (LP: #1708852)
    - Input: elan_i2c - add ELAN0608 to the ACPI table

 -- Thadeu Lima de Souza Cascardo <email address hidden> Fri, 06 Oct 2017 16:45:48 -0300

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers